<?php

function simple4us_options() {



    if (!current_user_can('manage_options'))  {

      wp_die( __('You do not have sufficient permissions to access this page.') );

    }

    $domain = GetDomain(get_option('siteurl'));

    


     

      // Read Config

      $s4us_key = get_option('simple4us_key' );

      $s4us_enabled = get_option('simple4us_enabled' );


      if(isset($_POST['s4us_key']))

      {

         $s4us_key=$_POST['s4us_key'];

         $s4us_enabled=$_POST['s4us_enabled'];

          

         $aDoor = $_POST['formDoor'];

  

         

         

         $curl_handle = curl_init();  

          curl_setopt($curl_handle, CURLOPT_URL, 'http://api.simple4.us/api/user');

          curl_setopt($curl_handle,CURLOPT_HTTPHEADER,array("SIMPLE4US-API-KEY:".$s4us_key));  

          curl_setopt($curl_handle, CURLOPT_RETURNTRANSFER, 1);  

            

          $buffer = curl_exec($curl_handle);  

          curl_close($curl_handle);  

            

          

          $xml = new SimpleXMLElement($buffer);

          

      
        
      
          

          if ($xml->status){echo '<div id="message" class="error"><p>La clave API no es válida, tómala de la sección "<a href="http://panel.simple4.us/tools" target="_blank">Herramientas</a>" de tu panel e inténtalo de nuevo.</p></div>

                <div id="message" class="error"><p>No se guardaron los cambios.</p></div>';}

          else

             {

          

          

              update_option( 'simple4us_userid', (string)$xml->item->userid );

              update_option( 'simple4us_key',$s4us_key);

              update_option( 'simple4us_enabled',$s4us_enabled);

              update_option( 'simple4us_coupons',$xml_coupons);
              
              update_option( 'simple4us_directory',$xml_directory);

 
              

              

              

              

              

              

              echo '<div id="message" class="updated"><p>Hola '.$xml->item->first_name.'!... Tu clave API es correcta.</p></div>';

              echo '<div id="message" class="updated"><p>Configuración guardada.</p></div>';

             }   

              

      }



   



  ?>

  



 	<div class="wrap columns-2 dd-wrap">

		

		<!-- Display Plugin Icon, Header, and Description -->

		<div class="icon32"><img src="<?php echo plugins_url(); ?>/simple4us/images/logo.png" width="32" height="32"></div>

    

		<h2>Configuración</h2>



    <div id="poststuff" class="metabox-holder has-right-sidebar">



    <div id="post-body">

    <div id="post-body-content">

    
     
     <iframe frameborder="0" noresize="noresize" src="http://simple4.us/wp-promo/config-page.php" style="height:280px;width:800px;"></iframe>
   

     <div class="postbox">

		<h3 class="hndl"><span>Descripción</span></h3>

    <div  class="inside">

      <p><strong><a href="http://simple4.us" target="_blank">Simple4us</a></strong> es una plataforma que nos permite rentabilizar nuestros contenidos mediante los siguientes servicios:</p>

      <ul>

      <li><strong><a href="http://simple4.us/simple-links/" target="_blank">SimpleLinks</a></strong> toma los enlaces de nuestras páginas y los convierte en el enlace de afiliado equivalente cuando el usuario hace click.</li>
      <li><strong><a href="http://support.simple4.us/panel-de-afiliado/generador-de-enlaces-cortos/" target="_blank">Acortador de enlaces</a></strong> con el que podrás compartir y promocionar enlaces de productos,servicios y tiendas online en redes sociales o enviarlos por email.</li>
      </ul>

      <p>Este plugin integra en tu blog Wordpress toda la funcionalidad para poder trabajar con Simple4us.</p>

      

      </div>

      </div>

      

      

    <?php

    if($s4us_key=='')

    {

       

      echo '

      <div class="stuffbox">

  		<h3 class="hndl"><span>Para configurar el plugin de Simple4us necesitas una clave API.</span></h3>

      <div  class="inside">

      

      <h4>Si aún no eres afiliado de Simple4us:</h4>

       <ul>

       <li>1. <a href="http://panel.simple4.us/auth/register" target="_blank">Regístrate en Simple4us</a>.</li>

       <li>2. Espera la confirmación de que tu blog ha sido aceptado.</li>

       </ul>

      

      <h4>Si ya eres afiliado de Simple4us:</h4>

       <ul>

       <li>3. Visita la sección "<a href="http://panel.simple4.us/tools" target="_blank">Herramientas</a>" de tu panel.</li>

       <li>4. Copia tu clave API en el portapapeles y pégala en el campo "<b>Clave API</b>" que verás más abajo.</li>

       <li>5. Habilítalo marcando "<b>Activado</b>"</li>

       <li>6. Guarda los cambios.</li>

       </ul>

       <p>Los enlaces a tiendas online y las palabras clave de tu blog comenzarán a ser convertidos y a generar comisiones.</p>

       <p>Si tienes dudas visita nuestro <a href="http://support.simple4.us/category/plugin-wordpress/" target="_blank">centro de soporte</a></p>

       </div>

       </div>';

       

      

    }

    

    

    ?>

		<!-- Beginning of the Plugin Options Form -->

		<form method="post" >


    <div class="stuffbox">

		<h3 class="hndl"><span>Configuración general</span></h3>

    <div  class="inside">



			<table class="form-table">

      				<!-- Textbox Control -->

				<tr valign="top">

					<th scope="row">Tu clave API</th>

					<td>

						<label><img style="border:0px;vertical-align: middle;" src="<?php echo plugins_url();?>/simple4us/images/padlock.png" ><input id="s4us_key" type="text" size="57" name="s4us_key" value="<?php echo $s4us_key; ?>" /></label>

					</td>

				</tr>

     

        

      </table>

        </div>

        </div>



    <div class="stuffbox">

		<h3 class="hndl"><span>SimpleLinks</span></h3>
    
    <div  class="inside">
    <p>SimpleLinks convierte los enlaces a productos y tiendas online de nuestras páginas en el enlace de afiliado equivalente, cuando el usuario hace click.
<table class="form-table">

				<!-- Checkbox Buttons -->

 

				<tr valign="top">

					<th scope="row">Habilitar</th>

					<td>

						<!-- First checkbox button -->
             <?php if($s4us_key==''){?>
						<label><input name="s4us_enabled" type="checkbox"  checked /> <strong>Activado</strong></label><br />
            <?php } else {?>
            						<label><input name="s4us_enabled" type="checkbox"  <?php if ($s4us_enabled=='on') { echo 'checked';} ?> /> <strong>Activado</strong></label><br />
            <?php } ?>
            <span style="color:#999999">Activa o desactiva SimpleLinks. Ten en cuenta que al desactivar SimpleLinks ningún enlace será convertido.</span>

					</td>

				</tr>        

        

      </table>

        </div>

        </div>


  

			<p class="submit">

			<input type="submit" class="button-primary" value="Guardar cambios" />

			</p>



        </div>

    

      

        

        

</form>        

        

        </div>

        </div>

    </div>



<?php  } 

function GetDomain($url)

    {

    $nowww = preg_replace('/www./','',$url);

    $domain = parse_url($nowww);

    if(!empty($domain["host"]))

        {

         return $domain["host"];

         } else

         {

         return $domain["path"];

         }

     

    }

?>