<?php

/*

Plugin Name: Simple4us

Plugin URI: http://simple4.us

Description: Configura nuestro blog para trabajar con el sistema de afiliación automático Simple4us.

Author: Fernando del Pozo

Version: 0.5.3

License: GPL2

*/



if ( ! defined( 'WPCD_PLUGIN_BASENAME' ) )

	define( 'WPCD_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );



if ( ! defined( 'WPCD_PLUGIN_NAME' ) )

	define( 'WPCD_PLUGIN_NAME', trim( dirname( WPCD_PLUGIN_BASENAME ), '/' ) );



if ( ! defined( 'WPCD_PLUGIN_DIR' ) )

	define( 'WPCD_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . WPCD_PLUGIN_NAME );



if ( ! defined( 'WPCD_PLUGIN_URL' ) )

	define( 'WPCD_PLUGIN_URL', WP_PLUGIN_URL . '/' . WPCD_PLUGIN_NAME );

	







	

// Administration





  function set_plugin_meta($links, $file) {

  $plugin = plugin_basename(__FILE__);

  // create link

  if ($file == $plugin) {

  return array_merge(

  $links,

  array( sprintf( '<a href="options-general.php?page=Simple4us">'. __('Settings').'</a>', $plugin, __('Settings') ) )

  );

  }

  return $links;

  }

add_filter( 'plugin_row_meta', 'set_plugin_meta', 10, 2 );

    

    

add_action('admin_menu', 'simple4us_menu');

function simple4us_menu() {



  add_options_page('Simple4us', 'Simple4us', 'manage_options', 'Simple4us', 'Simple4us_options');



}



  



function simple4us_script() {

      $s4us_userid = get_option('simple4us_userid');

      $s4us_enabled = get_option('simple4us_enabled');

      if($s4us_userid!='' && $s4us_enabled=='on')

      {



	echo '<script type="text/javascript" src="http://simple4.us/embed/s4us.php?userid='.$s4us_userid.'"></script>';
      }

  }



add_action ('wp_footer', 'simple4us_script',100);





include('dashboard.php');



include('s4us_settings.php');



function simple4us_plugin_start() {

 

}



function simple4us_activate() {


 s4us_panel_function();

    

}





function simple4us_deactivate() {



remove_action('s4us_panel_hook', 's4us_panel_deactivate');

  

}



register_activation_hook( __FILE__, 'simple4us_activate' );

register_deactivation_hook( __FILE__, 'simple4us_deactivate' );



if ( !wp_next_scheduled('s4us_panel_hook') ) {

wp_schedule_event( time(), 'twicedaily', 's4us_panel_hook' ); // hourly, daily and twicedaily

}

function s4us_panel_function() {



$s4us_key = get_option('simple4us_key' );

$domain = GetDomain(get_option('siteurl'));


         
}

add_action('s4us_panel_hook', 's4us_panel_function');





function simple4us_notice(){

  

}



add_action('admin_notices', 'simple4us_notice');




function showMessage($message, $errormsg = false)
{
	if ($errormsg) {
		echo '<div id="message" class="error">';
	}
	else {
		echo '<div id="message" class="updated fade">';
	}

	echo "<p><strong>$message</strong></p></div>";
}  



function showAdminMessages()
{

    //showMessage("You need to upgrade your database as soon as possible...", true);

    // Only show to admins
    if (current_user_can('manage_options')) {
       //showMessage("");
    }
}

//add_action('admin_notices', 'showAdminMessages');   
?>